spot 2.3.1

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Member Functions | Friends | List of all members
spot::bitvect_array Class Reference
Collaboration diagram for spot::bitvect_array:

## Public Member Functions
size_t | size () const
| The number of bitvect in the array. More...
bitvect & | at (const size_t index)
| Return the bit-vector at index. More...
void | clear_all ()
const bitvect & | at (const size_t index) const
| Return the bit-vector at index. More...

## Friends
bitvect_array * | make_bitvect_array (size_t bitcount, size_t vectcount)
| Allocate vectcount bit-vectors of bitcount bits. More...
std::ostream & | operator<< (std::ostream &, const bitvect_array &)
| Print a bitvect_array. More...

## Member Function Documentation

bitvect& spot::bitvect_array::at | ( | const size_t | index | ) |
| inline

Return the bit-vector at index.

const bitvect& spot::bitvect_array::at | ( | const size_t | index | ) | const
| inline

Return the bit-vector at index.

size_t spot::bitvect_array::size | ( |  | ) | const
| inline

The number of bitvect in the array.

## Friends And Related Function Documentation

bitvect_array* make_bitvect_array | ( | size_t | bitcount,
|  | size_t | vectcount
| ) |  |
| friend

Allocate vectcount bit-vectors of bitcount bits.

The resulting bitvect_array should be released with `delete`.

std::ostream& operator<< | ( | std::ostream & | ,
|  | const bitvect_array & |
| ) |  |
| friend

Print a bitvect_array.

The documentation for this class was generated from the following file:

- spot/misc/bitvect.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.